Skip to main content
TypeScript
const response: Promise<FireblocksResponse<Tag>> = fireblocks.tags.updateTag(tagsApiUpdateTagRequest);
{
  "id": "df4c0987-30da-4976-8dcf-bc2dd41ae331",
  "label": "VIP",
  "isProtected": false,
  "updatedAt": 1717084800000,
  "description": "Tag for VIP customers",
  "color": "#FF5733",
  "pendingApprovalRequest": {
    "id": "12345"
  }
}

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

tagId
string<uuid>
required

The ID of the tag to update

Body

application/json
label
string

The tag label

Example:

"VIP"

description
string

Description for the tag

Example:

"Tag for VIP customers"

color
string

The tag color in hex format

Example:

"#FF5733"

Response

200 - application/json

A tag object

id
string<uuid>
required

The unique identifier of the tag

Example:

"df4c0987-30da-4976-8dcf-bc2dd41ae331"

label
string
required

The tag label

Example:

"VIP"

isProtected
boolean
default:false
required

Indication if the tag is a protected tag

updatedAt
number
required

The date and time the tag was last updated

Example:

1717084800000

description
string

Description for the tag

Example:

"Tag for VIP customers"

color
string

The tag color in hex format

Example:

"#FF5733"

type
enum<string>

The tag type, indicating the domain that owns the tag

Available options:
WALLET_POOL
pendingApprovalRequest
object

Approval request details